Środowisko pracy Złożenie

From FreeCAD Documentation
This page is a translated version of the page Assembly Workbench and the translation is 100% complete.
Ikonka FreCAD dla środowiska pracy Złożenie

Wprowadzenie

dostępne w wersji 1.0

Środowisko pracy Złożenie to nowe wbudowane środowisko pracy FreeCAD.

Narzędzia

Złożenie

Połączenia

  • Utwórz połączenie koła zębatego / pasa:

Przykład

Ten przykład jest tymczasowy i może zostać usunięty, gdy dostępne będą odpowiednie opisy / poradniki.

Złożenie kinematyczne

Zespół kinematyczny, który ma zostać utworzony, składa się z czterech części: podstawy, suwaka, korby i pręta łączącego. Są one połączone czterema przegubami.

Złożone części: Podstawa (bursztynowy), Suwak (jasnoniebieski), Korba (czerwony), Korbowód (zielony)

Przygotowanie części

W tym przykładzie wszystkie części i zespół są tworzone w jednym dokumencie.

Od lewej do prawej: Podstawa, suwak, korba, korbowód.

Geometrie cylindryczne są równoległe lub prostopadłe, pozostałe kształty nie są istotne dla tego przykładu, chyba że powodują kolizje. Mając to na uwadze, wymodeluj własne kształty.

Dodawanie złożenia głównego

Utwórz złożenie dodaje do dokumentu złożenie główne. (narzędzie to może również dodać podzespół do istniejącego wybranego złożenia)

Widok drzewa części i złożeń w dokumencie.

Przenieś części do kontenera złożożeń

W Widoku drzewa przeciągnij i upuść części na obiekt Złożenia. Teraz mogą być one obsługiwane przez solver złożeń.

Części są teraz w kontenerze złożeń.

Kotwienie części

Aby utrzymać złożenie w pożądanej pozycji, część bazowa powinna zostać zablokowana lub zakotwiona, jak to się tutaj nazywa. Wybierz bazę w widoku drzewa lub w widoku 3D i użyj polecenia Włącz / wyłącz zakotwienie. Spowoduje to ustalenie pozycji Bazy w odniesieniu do lokalnego układu współrzędnych (LCS) kontenera złożenia. Powoduje to również dodanie ikony blokady do etykiety obiektu Bazy i (przed cotygodniową kompilacją 0.22 - 37213) dodaje obiekt KotwicaPołaczenia w kontenerze Połączenia.

Rozwiń kontener Połączeń, aby znaleźć obiekt Zakotwienia połaczeń.

(Obiekt Zakotwienia połączeń nie może zostać usunięty i nie ma reprezentacji w widoku 3D (przed cotygodniową kompilacją 0.22 - 37213)).

Zastosuj połączenia

Połączenie łączy dokładnie dwa elementy różnych części. Można je opcjonalnie wybrać przed wywołaniem żądanego narzędzia połączenia (dowolna liczba wybranych elementów innych niż dwa powoduje pusty wybór).
Elementy definiują położenie i orientację LCS reprezentowanego przez wypełniony okrąg na lokalnej płaszczyźnie XY i trzy linie wzdłuż lokalnych osi X (czerwony), Y (zielony) i Z (niebieski).

  • Połączenie obrotowe między podstawą a korbą.

Zaznaczone elementy + Utwórz połączenie obrotowe → przestawiona korba.

  • Połączenie cylindryczne między korpusem a suwakiem.

Zaznaczone elementy + Utwórz połączenie cylindryczne → przestawiony suwak.

  • Połączenie obrotowe między korbą a drążkiem.

Zaznaczone elementy + Utwórz połączenie obrotowe → przestawiona drążek.

Teraz mamy kilka połączeń liniowych i musimy pomóc solverowi w znalezieniu sensownego rozwiązania.
Kliknij i przeciągnij części → do łatwiejszej do obliczenia pozycji.

  • Połączenie cylindryczne między drążkiem a suwakiem.

Zaznaczone elementy + Utwórz połączenie cylindryczne → zakończone złożenie.

W gotowym złożeniu użyj kursora myszki, aby przeciągnąć części zgodnie z użytymi połączeniami.

Napęd korby

Aby kontrolować układ złożenia za pomocą kąta między podstawą a korbą, musimy zmienić złącze obrotowe na złącze stałe. Aby to zrobić, kliknij dwukrotnie obiekt Obrotowy w widoku drzewa. W oknie dialogowym zmień Obrotowy na Stały i zmień wartość obrotu zgodnie z potrzebami (ruch powinien podążać za ruchem kółka myszki).

Teraz zmieniono tylko etykietę złącza, ale nie jego nazwę! (Każda zmiana typu złącza spowoduje również zmianę etykiety).

Właściwość Obrót połączenia Stałego może być kontrolowana za pomocą makraodefinicji lub z konsoli Python (wystarczy skopiować i wkleić poniższe linie):

actuator = FreeCAD.ActiveDocument.getObject('Revolute')

for angle in range(0,361,10):
    # A full rotation of the Crank in steps of 10°
    actuator.Rotation = angle
    App.activeDocument().recompute(None,True,True)

Ewentualnie:

actuator = FreeCAD.ActiveDocument.getObject('Revolute')

for angle in range(0,361,10):
    # A full rotation of the Crank in steps of 10°
    actuator.Rotation = angle
    Gui.runCommand('Assembly_SolveAssembly',0)

(Nazwa przegubu to nadal Obrotowy, podczas gdy jego Etykieta zmieniła się na Stały, a koniec zakresu musi być większy niż 360, aby uwzględnić ten kąt jako prawidłowy wynik).